GHC 6.8.1 on Mac OS X 10.5 (Leopard)

Christian Maeder Christian.Maeder at
Thu Nov 15 06:15:58 EST 2007

Manuel M T Chakravarty wrote:
> I wasn't expecting any backwards compatibility from Leopard-built
> software to Tiger, but then I am also a Mac-noob and maybe there are
> ways to achieve that that I don't know of.  Any suggestions?

Could you, or someone else with Leopard, check if my Tiger binary
distribution is useable? (or what the problems are?)

> What we really need is a proper .mpkg, but at the moment, I don't have
> time for that.

I've found that page

It would help if we could at least agree on using frameworks or dylibs
for readline and gmp. That'll be important for any installer.

Maybe ghc could also support private frameworks
(in conjunction with

> The above binary first of all was meant to help
> bootstrapping GHC for people who upgraded to Leopard and have problems
> (which it seemed on irc, there were a few of).

Fair enough, but the current state under
is worse compared to version 6.6.1 when
was created.

Yes, again. Any suggestions?

More information about the Glasgow-haskell-users mailing list